# SOFTWARE LICENCE

FINAM is an open-source component-based model coupling framework for environmental models.

## Copyright Notice

Copyright © 2024, the FINAM developers from Helmholtz-Zentrum für Umweltforschung GmbH - UFZ. All rights reserved.

***The code is a property of:***

> Helmholtz-Zentrum für Umweltforschung GmbH - UFZ<br/>
> Registered Office: Leipzig<br/>
> Registration Office: Amtsgericht Leipzig<br/>
> Trade Register Nr. B 4703<br/>

The list of FINAM developers is provided in the AUTHORS.md file.

***Contact:***

- FINAM Admins (E-mail: <finam@ufz.de>)
- Martin Lange (E-mail: <martin.lange@ufz.de>)
- Sebastian Müller (E-mail: <sebastian.mueller@ufz.de>)
- Stephan Thober (E-mail: <stephan.thober@ufz.de>)
- Sabine Attinger (E-mail: <sabine.attinger@ufz.de>)

> Department Computational Hydrosystems (CHS)<br/>
> Helmholtz Centre for Environmental Research - UFZ<br/>
> Permoserstr. 15<br/>
> 04318 Leipzig, Germany

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this program.
It can be found in the files `COPYING` and `COPYING.LESSER` provided with this software.
The complete GNU license text can also be found at < https://www.gnu.org/licenses/>.

## Redistribution

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
- Redistributions of source code must retain the above copyright notice, the list of conditions for redistribution and modification as well as the following GNU Lesser General Public License.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions, the following GNU Lesser General Public License and the modification conditions in the documentation and/or other materials provided with the distribution.
- Neither the name of Helmholtz-Zentrum für Umweltforschung GmbH - UFZ, nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

## Modification

If software is modified to produce derivative works, such modified software should be clearly marked, so as not to confuse it with the version available from Helmholtz-Zentrum für Umweltforschung GmbH - UFZ.
